# Uses of Class
com.databend.jdbc.DatabendConnection

Packages that use DatabendConnection
Package
Description
com.databend.jdbc
com.databend.jdbc.examples

## Uses of DatabendConnection in com.databend.jdbc

Methods in com.databend.jdbc that return DatabendConnection
Modifier and Type
Method
Description
`protected final DatabendConnection`
DatabendStatement.`connection()`
Methods in com.databend.jdbc that return types with arguments of type DatabendConnection
Modifier and Type
Method
Description
`protected final Optional<DatabendConnection>`
DatabendStatement.`optionalConnection()`
Methods in com.databend.jdbc with parameters of type DatabendConnection
Modifier and Type
Method
Description
`static com.databend.client.StageAttachment`
DatabendPreparedStatement.`buildStateAttachment(DatabendConnection connection, String stagePath)`
This method is used to build a StageAttachment object which represents a stage in Databend.
`static void`
PresignContext.`createStageIfNotExists(DatabendConnection connection, String stageName)`
`static void`
PresignContext.`dropStageIfExists(DatabendConnection connection, String stageName)`
`static PresignContext`
PresignContext.`getPresignContext(DatabendConnection connection, com.databend.jdbc.PresignContext.PresignMethod method, String stageName, String fileName)`
Constructors in com.databend.jdbc with parameters of type DatabendConnection
Modifier
Constructor
Description
``
`DatabendDatabaseMetaData(DatabendConnection connection)`

## Uses of DatabendConnection in com.databend.jdbc.examples

Methods in com.databend.jdbc.examples that return types with arguments of type DatabendConnection
Modifier and Type
Method
Description
`org.apache.commons.pool2.PooledObject<DatabendConnection>`
DatabendConnectionFactory.`makeObject()`
Method parameters in com.databend.jdbc.examples with type arguments of type DatabendConnection
Modifier and Type
Method
Description
`void`
DatabendConnectionFactory.`activateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`void`
DatabendConnectionFactory.`destroyObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`void`
DatabendConnectionFactory.`passivateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`boolean`
DatabendConnectionFactory.`validateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
Constructor parameters in com.databend.jdbc.examples with type arguments of type DatabendConnection
Modifier
Constructor
Description
``
`DatabendConnectionPool(DatabendConnectionFactory factory, org.apache.commons.pool2.impl.GenericObjectPoolConfig<DatabendConnection> config)`